Feature: Test af oprettelse af afdelingssløring

# Create
Scenario: Som en systembruger der opretter en afdelingssløring af typen SOR
  When en "systembruger" sletter en afdelingssløring for "SOR" "695021000016007"
  And en "systembruger" opretter en afdelingssløring for "SOR" "695021000016007"
  Then giver den svaret "OK"

Scenario: Som en systembruger der opretter en afdelingssløring af typen SHAK
  When en "systembruger" sletter en afdelingssløring for "SHAK" "1234"
  And en "systembruger" opretter en afdelingssløring for "SHAK" "1234"
  Then giver den svaret "OK"

Scenario: Som en systembruger der opretter en afdelingssløring der allerede er aktiv
  When en "systembruger" opretter en afdelingssløring for "SOR" "695021000016007"
  Then sender den fejlen "Der findes allerede en aktiv afdelingssløring"

Scenario: Som en sundhedsfaglig der opretter en afdelingssløring
  When en "sundhedsfaglig" opretter en afdelingssløring for "SOR" "695021000016007"
  Then sender den fejlen "Brugertypen 'Sundhedsfaglig' er ikke understøttet"

Scenario: Som en systembruger der opretter en afdelingssløring med forkert SOR
  When en "systembruger" opretter en afdelingssløring for "SOR" "123"
  Then sender den fejlen "SOR-koden findes ikke"

Scenario: Som en systembruger der opretter en ny afdelingssløring, efter at den gammel er blevet fjernet
  When en "systembruger" opretter en afdelingssløring for "SOR" "695021000016007"
  And en "systembruger" sletter en afdelingssløring for "SOR" "695021000016007"
  And en "systembruger" opretter en afdelingssløring for "SOR" "695021000016007"
  Then giver den svaret "OK"

# Remove
Scenario: Som en systembruger der fjerner en afdelingssløring
  When en "systembruger" opretter en afdelingssløring for "SOR" "695021000016007"
  And en "systembruger" sletter en afdelingssløring for "SOR" "695021000016007"
  Then giver den svaret "OK"

Scenario: Som en systembruger der fjerner en afdelingssløring der ikke findes
  When en "systembruger" sletter en afdelingssløring for "SOR" "123"
  Then sender den fejlen "Der findes ikke en aktiv afdelingssløring"

Scenario: Som en systembruger der fjerner en afdelingssløring fra en anden organisation
  When en "systembruger" opretter en afdelingssløring for "SOR" "695021000016007"
  And en "en-anden-systembruger" sletter en afdelingssløring for "SOR" "695021000016007"
  Then sender den fejlen "Den pågældende afdelingssløring er ikke oprettet af den pågældende organisation"

# List
Scenario: Som en systembruger der lister alle aktive afdelingssløringer
  When en "systembruger" opretter en afdelingssløring for "SOR" "695021000016007"
  And en "systembruger" lister alle aktive afdelingssløringer
  Then sender den en svar der indeholder "695021000016007" og "SOR"

Scenario: Som en systembruger der lister alle afdelingssløringer for et CVR
  When en "systembruger" opretter en afdelingssløring for "SOR" "695021000016007"
  And en "systembruger" lister alle afdelingssløringer for et CVR
  Then sender den en svar der indeholder "695021000016007" og "SOR"

